extends Node

var bombs_count = 0



func has_bombs():
	return bombs_count > 0

func add_bomb():
	add_bombs(1)
	
func add_bombs(amount):
	bombs_count += amount
	SceneManager.game_scene.update_bomb_ui()


func use_bomb():
	if has_bombs():
		bombs_count -=1
		SceneManager.game_scene.update_bomb_ui()
		return true
	return false
